Subject: Re: Teach git status to do "git diff --name-status HEAD"

From: Michael J Gruber <[email-masked]>
Date: Wed, 17 Sep 2008 10:42:07 +0200

Martin Langhoff venit, vidit, dixit 17.09.2008 08:40:
> I just did
> 
> $ git checkout -b mdl19-offlinetony
> A       README.offline
> M       lib/javascript.php
>     (...)
> A       lib/offline/offlinemoodle.user.js
> 
> I *like* this "brief status" style - takes me back to my cvs days :-).
> Perusing the source I found show_local_changes() which in turn led me
> to trying `git diff --name-status HEAD`. Now, including 'HEAD' in an
> alias defined in git config is going to lead to trouble... :-/

Nice!
HEAD is default, no need to stick your HEAD into the config ;)

> I might still make an alias to `git diff --name-status`. This would be
> a great thing to have as git status "--brief" IMHO... :-)

git status also shows untracked files. I don't know how to tell diff to
show untracked files as well. --diff-filter=X doesn't do it.

Michael